Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AddLocalMessage

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Message>
it.tdlight.jni.TdApi.AddLocalMessage

Enclosing class:
  TdApi

public static final class TdApi.AddLocalMessage extends TdApi.Function<TdApi.Message>
Adds a local message to a chat. The message is persistent across application restarts only if the message database is used. Returns the added message.

Returns `Message`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Target chat.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`disableNotification`
Pass true to disable notification for the message.
`TdApi.InputMessageContent`
`inputMessageContent`
The content of the message to be added.
`TdApi.InputMessageReplyTo`
`replyTo`
Information about the message or story to be replied; pass null if none.
`TdApi.MessageSender`
`senderId`
Identifier of the sender of the message.

## Constructor Summary

Constructors
Constructor
Description
`AddLocalMessage()`
Adds a local message to a chat.
`AddLocalMessage(long chatId, TdApi.MessageSender senderId, TdApi.InputMessageReplyTo replyTo, boolean disableNotification, TdApi.InputMessageContent inputMessageContent)`
Adds a local message to a chat.
`AddLocalMessage(DataInput input)`
Adds a local message to a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Target chat.

### senderId

public TdApi.MessageSender senderId
Identifier of the sender of the message.

### replyTo

public TdApi.InputMessageReplyTo replyTo
Information about the message or story to be replied; pass null if none.

### disableNotification

public boolean disableNotification
Pass true to disable notification for the message.

### inputMessageContent

public TdApi.InputMessageContent inputMessageContent
The content of the message to be added.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### AddLocalMessage

public AddLocalMessage()
Adds a local message to a chat. The message is persistent across application restarts only if the message database is used. Returns the added message.

Returns `Message`

### AddLocalMessage

public AddLocalMessage(long chatId, TdApi.MessageSender senderId, TdApi.InputMessageReplyTo replyTo, boolean disableNotification, TdApi.InputMessageContent inputMessageContent)
Adds a local message to a chat. The message is persistent across application restarts only if the message database is used. Returns the added message.

Returns `Message`

Parameters:
  `chatId` - Target chat.
  `senderId` - Identifier of the sender of the message.
  `replyTo` - Information about the message or story to be replied; pass null if none.
  `disableNotification` - Pass true to disable notification for the message.
  `inputMessageContent` - The content of the message to be added.

  Returns `Message`

### AddLocalMessage

public AddLocalMessage(DataInput input) throws IOException
Adds a local message to a chat. The message is persistent across application restarts only if the message database is used. Returns the added message.

Returns `Message`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`